{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-59.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kcrash-5.116.0-1.fc41",
        "store-results-to": "/tmp/tmpe1g9k019/kf5-kcrash-5.116.0-1.fc41.tar.xz",
        "time-created": "2024-07-03 13:42:28",
        "time-finished": "2024-07-03 13:43:26",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpe1g9k019/kf5-kcrash-5.116.0-1.fc41.tar.xz' '--gcc-analyze' '/tmp/tmpe1g9k019/kf5-kcrash-5.116.0-1.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "df9132b2311f7b3efd182a69e81b4eb3cced6dcf",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kcrash-5.116.0-build/kcrash-5.116.0/src/metadata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In constructor ‘KCrash::MetadataINIWriter::MetadataINIWriter(const QByteArray&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kcrash-5.116.0-build/kcrash-5.116.0/src/metadata.cpp",
                    "line": 35,
                    "column": 14,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   35 |         write(fd, header, strlen(header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   33|           writable = true;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   34|           const char *header = \"[KCrash]\\n\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   35|->         write(fd, header, strlen(header));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   36|       } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   37|           fprintf(stderr, \"MetadataINIWriter: Unexpected fd %d\\n\", fd);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "aeeae0b9ccc50f2edff4bb64566d9e44489c4886",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kcrash-5.116.0-build/kcrash-5.116.0/src/metadata.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘virtual void KCrash::MetadataINIWriter::add(const char*, const char*, KCrash::MetadataWriter::BoolValue)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kcrash-5.116.0-build/kcrash-5.116.0/src/metadata.cpp",
                    "line": 69,
                    "column": 10,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘ssize_t write(int, const void*, size_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69 |     write(fd, iniLine.data(), lineLength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   67|       fprintf(stderr, \"%d -- %s\", lineLength, iniLine.data());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   68|       Q_ASSERT(lineLength <= iniLine.max_size()); // is not truncated41",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   69|->     write(fd, iniLine.data(), lineLength);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   70|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   71|   ",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
